﻿<!DOCTYPE html>
<html>
<head>
    <title><%= title %></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" type="image/png" href="./images/flower-icon.png"/>
    <link rel="stylesheet" type="text/css" href="./vendor/normalize.css">
    <link rel="stylesheet" type="text/css" href="./styles/main.css">
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
</head>

<body class="content">

<%- include(`partials/header`); %>

<main class="main">

    <% for (let category of categories) { %>
        <section class="section secondary-color-bg">
            <div class="centered-container">
                <h1 class="decorated-title font-secondary main-color">
                    <span class="main-color-emphasized"><%= category.name %></span>
                    Inventory</h1>
                <div class="separator"></div>
            </div>
            
            <div class="gallery">
                <% postoji = undefined %>
                <% for (let inventories of inventory) { %>
                    <% if(inventories.categoryid == category.id){ %>
                        <% postoji = true %>
                        <div class="photo-box" data-id="">
                            <img class="photo-box-image" src="<%= inventories.imageurl %>"></img>
                            <div class="photo-box-title font-secondary main-color-emphasized"><%= inventories.name %></div>
                            <div class="cart-btn" onclick=""></div>
                        </div>
                    <% } %>
                <% } %>
               
            </div>
            <% if(postoji == undefined){ %>
                <h1 style="text-align: center" class="decorated-title font-secondary main-color">
                    No items in this category
                </h1>           
            <% } %>
        </section>
        
      <% } %>

</main>

<%- include(`partials/footer`); %>

</body>

</html>